<?php

    require('../../functions/conexion.php');
    $i = 0;
    $datos = array();
    $result = query("SELECT A.id 'ID', B.pro_nombre 'PRO_NOMBRE', A.pdn_cantidad 'CANTIDAD', 
    A.pdn_precio 'PRECIO', B.pro_clasificaciones 'CLASIFICACION', A.pdn_tiempo 'TIEMPO', 
    A.pdn_comentario 'COMENTARIO', A.pdn_comensal 'COMENSAL', B.id 'ID_PRO',
    C.ntv_no_nota NO_NOTA, C.ntv_no_mesa MESA, U.uss_nombre MESERO, C.ntv_hora_ini 'HORA', A.pdn_estatus 'BOTON'
    FROM productos_nota A 
	 INNER JOIN productos B ON A.id_producto = B.id
	 INNER JOIN notas_venta C ON C.id = A.id_nota_venta
	 INNER JOIN usuarios  U ON U.id = C.id_usuario
	 WHERE C.ntv_estatus != 'finalizado' AND A.pdn_estatus = 'desactivo' AND DATE(A.created_at) = CURRENT_DATE() ORDER BY B.updated_at DESC LIMIT 3");

    while($row = mysqli_fetch_assoc($result)){
        $rowdata[$i] = $row;
        $i++;
    }

    if ($i>0){
        $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
    } else {
        $res =  '[{"ID":"0"}]';	
    }
    echo $res;
?>
